<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @since Reef 0.1
 */
	get_header();
	reef_inner_banner(); 
?>
<section class="wrapper wrap-list-page">
	<div class="inner-page-content">
		<?php
		if ( have_posts() ){

			echo "<div class='masonry-wrapper'>";
			while ( have_posts() ) : the_post();
				get_template_part( 'template-parts/post/content', 'search' );
			endwhile;
			echo '</div>';

			the_posts_pagination( array(
				'next_text' => '<span>'.esc_html__( 'Next', 'reef' ) .'</span><span class="screen-reader-text">' . esc_html__( 'Next page', 'reef' ) . '</span>',
				'prev_text' => '<span>'.esc_html__( 'Prev', 'reef' ) .'</span><span class="screen-reader-text">' . esc_html__( 'Previous page', 'reef' ) . '</span>',
				'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'reef' ) . ' </span>',
			) );

		}else{
			get_template_part( 'template-parts/post/content', 'none' );
		}
		?>
	</div>
</section>

<?php get_footer(); ?>
